<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>F-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="F-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Game/MapId.html#fileName">fileName</a></span> - Variable in class Game.<a href="../Game/MapId.html" title="class in Game">MapId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#find-T-">find(T)</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Returns a reference to the specified element if it is found in this
 binary tree.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#find-T-">find(T)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Returns a reference to the specified target element if it is found in
 this binary tree.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#findAgain-T-LinkedHeapPackage.BinaryTreeNode-">findAgain(T, BinaryTreeNode&lt;T&gt;)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Returns a reference to the specified target element if it is found in
 this binary tree.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/HeapADT.html#findMin--">findMin()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/HeapADT.html" title="interface in LinkedHeapPackage">HeapADT</a></dt>
<dd>
<div class="block">Returns a reference to the element with the lowest value in this heap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedHeap.html#findMin--">findMin()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedHeap.html" title="class in LinkedHeapPackage">LinkedHeap</a></dt>
<dd>
<div class="block">Returns a reference to the element with the lowest value in this heap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#first--">first()</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Method that returns the first element of the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#first--">first()</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/ListADT.html" title="interface in ArrayListPackage">ListADT</a></dt>
<dd>
<div class="block">Returns a reference to the first element in this list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#first--">first()</a></span> - Method in class QueuePackage.<a href="../QueuePackage/LinkedQueue.html" title="class in QueuePackage">LinkedQueue</a></dt>
<dd>
<div class="block">Method that returns the element in the front of the queue</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/QueueADT.html#first--">first()</a></span> - Method in interface QueuePackage.<a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a></dt>
<dd>
<div class="block">Returns without removing the element at the front of this queue.</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#front">front</a></span> - Variable in class QueuePackage.<a href="../QueuePackage/LinkedQueue.html" title="class in QueuePackage">LinkedQueue</a></dt>
<dd>
<div class="block">front node reference and rear node reference</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
